#pragma once

#include "CoreMinimal.h"
#include "GameplayTagContainer.h"
#include "BehaviourDetectionInactivityStateQueryFactor.generated.h"

USTRUCT(BlueprintType)
struct FBehaviourDetectionInactivityStateQueryFactor
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FGameplayTagQuery StateQuery;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float InactivityFactor;

public:
	DEADBYDAYLIGHT_API FBehaviourDetectionInactivityStateQueryFactor();
};

FORCEINLINE uint32 GetTypeHash(const FBehaviourDetectionInactivityStateQueryFactor) { return 0; }
